STOFFCellContent::FormulaInstruction Struct Reference

small class use to define a formula instruction More...

`#include <STOFFCell.hxx>`

## Public Types

enum | Type { F_None , F_Operator , F_Function , F_Cell , F_CellList , F_Index , F_Long , F_Double , F_Text }

## Public Member Functions

| FormulaInstruction ()
| constructor
librevenge::RVNGPropertyList | getPropertyList () const
| returns a proplist corresponding to a instruction

## Public Attributes

Type | m_type
| the type
librevenge::RVNGString | m_content
| the content ( if type == F_Operator or type = F_Function or type==F_Text)
long | m_longValue
| value ( if type==F_Long )
double | m_doubleValue
| value ( if type==F_Double )
STOFFVec2i | m_position [2]
| cell position ( if type==F_Cell or F_CellList )
STOFFVec2b | m_positionRelative [2]
| relative cell position ( if type==F_Cell or F_CellList )
librevenge::RVNGString | m_sheet
| the sheet name (if not empty)
int | m_sheetId
| the sheet id (if set)
bool | m_sheetIdRelative
| the sheet id relative flag
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, STOFFCellContent::FormulaInstruction const &inst)
| operator<<

## Detailed Description

small class use to define a formula instruction

## Member Enumeration Documentation

## Type

enum STOFFCellContent::FormulaInstruction::Type

Enumerator
F_None |
F_Operator |
F_Function |
F_Cell |
F_CellList |
F_Index |
F_Long |
F_Double |
F_Text |

## Constructor & Destructor Documentation

## FormulaInstruction()

STOFFCellContent::FormulaInstruction::FormulaInstruction | ( |  | ) |

inline

constructor

## Member Function Documentation

## getPropertyList()

librevenge::RVNGPropertyList STOFFCellContent::FormulaInstruction::getPropertyList | ( |  | ) | const

returns a proplist corresponding to a instruction

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFCellContent::FormulaInstruction const & | inst )

friend

operator<<

## Member Data Documentation

## m_content

librevenge::RVNGString STOFFCellContent::FormulaInstruction::m_content

the content ( if type == F_Operator or type = F_Function or type==F_Text)

Referenced by StarCellFormulaInternal::Token::addToken(), FormulaInstruction(), StarCellFormulaInternal::Token::get(), getPropertyList(), operator<<, and StarCellFormula::readSCToken().

## m_doubleValue

double STOFFCellContent::FormulaInstruction::m_doubleValue

value ( if type==F_Double )

Referenced by FormulaInstruction(), StarCellFormulaInternal::Token::get(), getPropertyList(), and operator<<.

## m_extra

std::string STOFFCellContent::FormulaInstruction::m_extra

extra data

Referenced by FormulaInstruction(), and operator<<.

## m_longValue

long STOFFCellContent::FormulaInstruction::m_longValue

value ( if type==F_Long )

Referenced by FormulaInstruction(), StarCellFormulaInternal::Token::get(), getPropertyList(), and operator<<.

## m_position

STOFFVec2i STOFFCellContent::FormulaInstruction::m_position[2]

cell position ( if type==F_Cell or F_CellList )

Referenced by FormulaInstruction(), StarCellFormulaInternal::Token::get(), getPropertyList(), and operator<<.

## m_positionRelative

STOFFVec2b STOFFCellContent::FormulaInstruction::m_positionRelative[2]

relative cell position ( if type==F_Cell or F_CellList )

Referenced by FormulaInstruction(), StarCellFormulaInternal::Token::get(), getPropertyList(), and operator<<.

## m_sheet

librevenge::RVNGString STOFFCellContent::FormulaInstruction::m_sheet

the sheet name (if not empty)

Referenced by FormulaInstruction(), getPropertyList(), and operator<<.

## m_sheetId

int STOFFCellContent::FormulaInstruction::m_sheetId

the sheet id (if set)

Referenced by FormulaInstruction(), StarCellFormulaInternal::Token::get(), and operator<<.

## m_sheetIdRelative

bool STOFFCellContent::FormulaInstruction::m_sheetIdRelative

the sheet id relative flag

Referenced by FormulaInstruction(), and operator<<.

## m_type

Type STOFFCellContent::FormulaInstruction::m_type

the type

Referenced by StarCellFormulaInternal::Token::addToken(), FormulaInstruction(), StarCellFormulaInternal::Token::get(), getPropertyList(), operator<<, and StarCellFormula::readSCToken().

The documentation for this struct was generated from the following files:

- STOFFCell.hxx
- STOFFCell.cxx